package com.e6yun.project.sdk.api.pojo.basevo.cold;

import com.google.common.base.MoreObjects;

import java.util.List;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/6 13:54
 * @ClassName StorageInfoListVO
 * @Remark
 */
public class StorageInfoListVO {

    /**
     * 仓库名称
     */
    private String storageName;
    /**
     * 仓库编码
     */
    private String storageCode;
    /**
     * 仓库下的区位列表
     */
    private List<ApiLocationResultVO> locationList;

    public String getStorageName() {
        return storageName;
    }

    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    public String getStorageCode() {
        return storageCode;
    }

    public void setStorageCode(String storageCode) {
        this.storageCode = storageCode;
    }

    public List<ApiLocationResultVO> getLocationList() {
        return locationList;
    }

    public void setLocationList(List<ApiLocationResultVO> locationList) {
        this.locationList = locationList;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("storageName", storageName)
                .add("storageCode", storageCode)
                .add("locationList", locationList)
                .toString();
    }
}
